# This Spec file was Created by Marco Meijer <korrel@mandrakeclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name   		openftd
%define version		1.2.1
%define release		%mkrel 1
%define summary		A dutch binary newsgroup post announce program
%define major		1
%define libname 	%mklibname %{name} %{major}

Name:          		%{name} 
Summary:       		%{summary}
Version:    		%{version} 
Release:    		%{release} 
URL:          		http://www.openftd.org
License:      		BSD
Group:         		Networking/File transfer

Source0:		%{name}-%{version}.tar.bz2
Patch0:			%{name}-MandrivaMenu.patch

BuildRoot:      	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:		ImageMagick
BuildRequires:		dos2unix
BuildRequires:		curl-devel
BuildRequires:		pcre-devel
BuildRequires:		gtkhtml2-devel
BuildRequires:		gtkhtml-3.14-devel
BuildRequires:		libxslt-devel >= 1.0.5
BuildRequires:		nspr-devel
BuildRequires:		sqlite3-devel

Provides: 		%{name}
Obsoletes: 		%{name}

%description
The program FTD is used by many people to tell what they will post and
is therefore a beautiful way to see what is posted in the binary newsgroups.

Openftd is the Open Source equivalent.

%description -l nl
Het programma FTD wordt gebruikt door veel mensen om te vertellen wat ze
gaan posten en is dus een mooie manier om te zien wat er allemaal in de
binaries nieuwsgroepen gepost wordt.

Openftd is hiervan de Open Source variant.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Openftd.

%package -n	%{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Others
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use Openftd.

%prep
%setup -q
%patch0 -p0 -b .mm

aclocal
automake
autoconf

%build
%configure

%make 
dos2unix ChangeLog TODO

%install
rm -rf %{buildroot}
%makeinstall FTD_DATA_DIR=%{buildroot}/usr/share/%{name}

#icons
%define  nameicon gui/include/images/icon.xpm
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(Openftd): \
command="/usr/bin/%{name}_gui" \
needs="X11" \
icon="%{name}.png" \
section="Internet/File Transfer" \
title="Openftd" \
longtitle="A dutch binary newsgroup post announce program" \
xdg="true"
EOF

perl -pi -e "s#%{buildroot}##g" %{buildroot}%{_bindir}/ftd

rm -rf %{buildroot}%{_datadir}/applications/%{name}_lite.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
 
%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_desktop_database}
#update_menus

%postun
%{update_desktop_database}
#clean_menus

%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%{_datadir}/applications/%{name}.desktop

%{_datadir}/pixmaps/ftd.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so

%changelog
* Sat Jul 4 2010 Dal Magro Maurizio <mauriziodm@mandrivaclub.be> 
- Rebuild for Mandriva 2010.1

* Wed Nov 4 2009 Maurizio Dal Magro <mauriziodme@mandrivaclub.be> 
- Rebuild Mandriva 2010.0

* Sat May 1 2009 Maurizio Dal Magro <mauriziodme@mandrivaclub.be> 
- new version 1.2.1

* Mon Jul 28 2008 Maurizio Dal Magro <MauRice@mandrivaclub.nl> 1.1.1-1mcnl2008.1
- new version

* Sat Apr 18 2008 Maurizio Dal Magro <MauRice@mandrivaclub.nl> 1.0.2-1mcnl2008.1
- new version

* Mon Oct 15 2007 Maurizio Dal Magro <MauRice@mandrivaclub.nl> 1.0.1-1mcnl2008.0
- new version

* Mon Apr 30 2007 Marco Meijer <marco@mandrivaclub.nl> 0.98.6-1mcnl2007.1
- new version

* Mon Nov 20 2006 Marco Meijer <marco@mandrivaclub.nl> 0.98.4.1-1.2007mcnl
- new version
- add new 2007 menu item

* Tue Sep 12 2006 Stefan van der Eijk <stefan@zarb.org> 0.98.3-1
- 0.98.3

* Tue Aug 29 2006 Stefan van der Eijk <stefan@zarb.org> 0.98.2.1-1
- initial PLF package

* Tue Sep 13 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.10.2-1.102mcnl
  new spec file
